Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KickCase Class Reference

Represents the results and the preconditions of a single kick experiment. More...

`#include <KickSelectionTable.h>`

List of all members.

## Public Attributes
double | ballXR
| The relative x position of the ball when the kick was requested.
double | ballYR
| The relative y position of the ball when the kick was requested.
unsigned long | ballTR
| The time since the ball was seen last when the kick was requested.
double | ballXS
| The relative x position of the ball when the kick was started.
double | ballYS
| The relative y position of the ball when the kick was started.
unsigned long | ballTS
| The time since the ball was seen last when the kick was started.
double | ballXA
| The relative x position of the ball after the kick.
double | ballYA
| The relative y position of the ball after the kick.
unsigned long | tA
| The time since the kick was finished when the record was written.

## Detailed Description

Represents the results and the preconditions of a single kick experiment.

Author:
  Martin Lötzsch

Definition at line 20 of file KickSelectionTable.h.

## Member Data Documentation

double KickCase::ballXR

| The relative x position of the ball when the kick was requested. Definition at line 24 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

double KickCase::ballYR

| The relative y position of the ball when the kick was requested. Definition at line 27 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

unsigned long KickCase::ballTR

| The time since the ball was seen last when the kick was requested. Definition at line 30 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

double KickCase::ballXS

| The relative x position of the ball when the kick was started. Definition at line 33 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

double KickCase::ballYS

| The relative y position of the ball when the kick was started. Definition at line 36 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

unsigned long KickCase::ballTS

| The time since the ball was seen last when the kick was started. Definition at line 39 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

double KickCase::ballXA

| The relative x position of the ball after the kick. Definition at line 42 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

double KickCase::ballYA

| The relative y position of the ball after the kick. Definition at line 45 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

unsigned long KickCase::tA

| The time since the kick was finished when the record was written. Definition at line 48 of file KickSelectionTable.h. Referenced by KickLogger::execute(), and TestSymbols::registerSymbols().

The documentation for this class was generated from the following file:

- Tools/KickSelectionTable.h